coap_event.c File Reference
`#include "coap_internal.h"`
Include dependency graph for coap_event.c:

Go to the source code of this file.

## Functions

void | coap_register_event_handler (struct coap_context_t *context, coap_event_handler_t hnd)
| Registers the function `hnd` as callback for events from the given CoAP context `context`. More...
void | coap_set_event_handler (struct coap_context_t *context, coap_event_handler_t hnd)
| Registers the function `hnd` as callback for events from the given CoAP context `context`. More...
void | coap_clear_event_handler (struct coap_context_t *context)
| Clears the event handler registered with `context`. More...